Name:           pdfpc
Version:        4.7.0
Release:        %mkrel 2
Summary:        A GTK based presentation viewer application for GNU/Linux
Group:          File tools
License:        GPLv2+
URL:            https://pdfpc.github.io/
Source0:        https://github.com/pdfpc/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libmarkdown)
BuildRequires:  pkgconfig(libqrencode)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  pkgconfig(libsoup-3.0)
BuildRequires:  pkgconfig(webkit2gtk-4.1)

%description
pdfpc is a GTK based presentation viewer application for GNU/Linux which uses
Keynote like multi-monitor output to provide meta information to the speaker
during the presentation. It is able to show a normal presentation window on one
screen, while showing a more sophisticated overview on the other one providing
information like a picture of the next slide, as well as the left over time
till the end of the presentation. The input files processed by pdfpc are PDF
documents, which can be created using nearly any of today's presentation
software.

%prep
%autosetup -p1

%build
%cmake -DSYSCONFDIR=%{_sysconfdir}
%cmake_build

%install
%cmake_install

%files
%doc README.rst CHANGELOG.rst
%license LICENSE.txt
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}*
%{_mandir}/man5/%{name}*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 4.7.0-2.mga10
+ Revision: 2233762
- Mageia 10 Mass Rebuild

* Sat Jan 11 2025 daviddavid <daviddavid> 4.7.0-1.mga10
+ Revision: 2137553
- new version: 4.7.0

* Mon Oct 02 2023 daviddavid <daviddavid> 4.6.0-3.mga10
+ Revision: 1992886
- temporarily disable REST until it is ported to libsoup3
- temporarily disable markdown view until it is ported to webkit2gtk-4.1

* Sat May 06 2023 daviddavid <daviddavid> 4.6.0-2.mga9
+ Revision: 1955999
- backport upstream patch to fix build with new vala 0.56.7

* Thu Jan 12 2023 daviddavid <daviddavid> 4.6.0-1.mga9
+ Revision: 1932653
- new version: 4.6.0

* Fri Oct 07 2022 papoteur <papoteur> 4.5.0-3.mga9
+ Revision: 1895300
- fix requirement to webkit2gtk-4.1

* Sun Apr 03 2022 umeabot <umeabot> 4.5.0-2.mga9
+ Revision: 1841635
- Mageia 9 Mass Rebuild

* Tue Dec 22 2020 daviddavid <daviddavid> 4.5.0-1.mga8
+ Revision: 1662768
- new version: 4.5.0

* Mon Nov 16 2020 daviddavid <daviddavid> 4.4.1-1.mga8
+ Revision: 1646508
- new version: 4.4.1

* Sat Feb 29 2020 daviddavid <daviddavid> 4.4.0-1.mga8
+ Revision: 1552193
- new version: 4.4.0

* Sat Feb 15 2020 umeabot <umeabot> 4.3.4-3.mga8
+ Revision: 1528372
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Aug 20 2019 daviddavid <daviddavid> 4.3.4-2.mga8
+ Revision: 1430399
- add upstream patch to fix build with vala 0.45+

* Sat Jun 29 2019 daviddavid <daviddavid> 4.3.4-1.mga8
+ Revision: 1415881
- new version: 4.3.4

* Wed Feb 06 2019 daviddavid <daviddavid> 4.3.2-1.mga7
+ Revision: 1363653
- new version: 4.3.2

* Mon Dec 31 2018 daviddavid <daviddavid> 4.3.0-1.mga7
+ Revision: 1347361
- new version: 4.3.0

* Tue Oct 16 2018 daviddavid <daviddavid> 4.2.1-1.mga7
+ Revision: 1321188
- new version: 4.2.1

* Sun Oct 14 2018 daviddavid <daviddavid> 4.2-1.mga7
+ Revision: 1320277
- new version: 4.2

* Sun Sep 23 2018 umeabot <umeabot> 4.1.2-2.mga7
+ Revision: 1300152
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 4.1.2-1.mga7
+ Revision: 1227683
- initial package pdfpc

